---
nodes:
  {% for node in groups['control'] %}
- address: {{ node }}
    user: {{ node_user }}
    role: [controlplane, etcd]
    hostname_override: {{ node }}
  {% endfor %}

  {% for node in groups['worker'] %}
- address: {{ node }}
    user: {{ node_user }}
    role: [worker]
    hostname_override: {{ node }}
  {% endfor %}


ignore_docker_version: false

bastion_host:
  address: {{ bastion_host_address }}
  user: {{ bastion_user }}
  port: 22

ssh_key_path: {{ ssh_key_path }}

cluster_name: rke.kube

kubernetes_version: "v1.24.10-rancher4-1"

services:
  etcd:
    snapshot: true
    creation: 6h
    retention: 24h

addon_job_timeout: 600

network:
  plugin: canal

dns:
  provider: coredns
  upstreamnameservers:
{% for ns in dns %}
  - {{ ns }}
{% endfor %}

monitoring:
  provider: metrics-server

# Required for external TLS termination with
# ingress-nginx v0.22+
ingress:
  provider: nginx
  options:
    use-forwarded-headers: "true"
